# Poco::Data

# class BLOBStreamBuf

Library: Data
Package: DataCore
Header: Poco/Data/BLOBStream.h

## Description

This is the streambuf class used for reading from and writing to a BLOB.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: Poco::UnbufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Constructors

### BLOBStreamBuf

BLOBStreamBuf(
BLOB & blob
);

Creates BLOBStreamBuf.

## Destructor

### ~BLOBStreamBuf

~BLOBStreamBuf();

Destroys BLOBStreamBuf.

## Member Functions

### readFromDevice

int_type readFromDevice();

### writeToDevice

int_type writeToDevice(
char c
);